Jan 16

Router architect D-Link accepted Friday that some of its routers accept a vulnerability that could allow hackers access to a device’s authoritative settings, but it has issued patches.

According to a Jan. 9 blog post from SourceSec Security Research, some D-Link routers have an insecure implementation of the Home Network Administration Protocol (HNAP), which could allow an unauthorized person to change a router’s settings.

SourceSec appear a proof-of-concept software apparatus called HNAP0wn that would enable the drudge — a move that D-Link criticized.

“By publicizing their apparatus and giving specific instructions, the authors of the address accept about categorical how the security can be breached, which could accept had serious repercussions for our customers,” D-Link said in a statement.

D-Link said it only appeared possible to hack the routers using the software tool and not just with stand-alone code.

D-Link and SourceSec differed over which models were vulnerable. SourceSec wrote that it suspected that all D-Link routers made since 2006 with HNAP support were affected, but they said they had not tested all of them.

D-Link said the models affected are the DIR-855 (version A2), DIR-655 (versions A1 to A4) and DIR-635 (version B). Three discontinued models — DIR-615 (versions B1, B2 and B3), DIR-635 (version A) and DI-634M (version B1) — are also affected.

The company said new firmware updates are being made available across its Web sites.

Tags: , ,